
/* $Id: cpd_glob.c,v 4.2 2003/09/03 21:41:10 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Torsten Wilde.
 *                   (C) 2003 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


/* System Header Files */

#include <stdio.h>


/* STV Header Files */

#include "stv.h"
#include "stv_glob.h"


/* Message-Passing APIs */

#ifdef STV_MP_PVM

STV_MP_API *CpdMP = &STV_MP_API_PVM;

#endif


/* Checkpointing Globals */

CPD_DATAPTR CPDATA = ( CPD_DATAPTR ) NULL;

int CPDTID = -1;        /* tid of my checkpointing daemon */

