C
C $Id: flaplace.inc,v 4.0 2001/10/19 00:12:58 kohl Exp $
C

C ---  Parameter declarations for flaplace

C ---  Parameter types

      character*8 LAPLACEGRP
      integer ROWS, COLUMNS
      integer IDIM, JDIM, KDIM, NTASKS, STVTAG
      integer NFIELDS, NPARAMS
      integer NEIGHMSG
      integer NORTH, EAST, SOUTH, WEST
      integer VERBOSE

C ---  Adjustable Parameters  ---


C ---  The number of processes used is ROWS * COLUMNS

      parameter( ROWS=2 )
      parameter( COLUMNS=2 )


C --- The size of the computational region is 
C --- (ROWS * IDIM) X (COLUMNS * JDIM) X (KDIM)

      parameter( IDIM=30 )
      parameter( JDIM=30 )
      parameter( KDIM=120 )


C --- End Adjustable Parameters ---

      parameter( LAPLACEGRP='flaplace' )
      parameter( STVTAG=100 )
      parameter( NEIGHMSG=1001 )
      parameter( NTASKS=ROWS*COLUMNS )
      parameter( NFIELDS=2 )
      parameter( NPARAMS=5 )


C --- Neighbors ---

      parameter( NORTH=0 )
      parameter( EAST=1 )
      parameter( SOUTH=2 )
      parameter( WEST=3 )


C --- Program Options ---

C     parameter( VERBOSE=stvTrue )
      parameter( VERBOSE=stvFalse )

