/* $Id: stvfga.m4,v 1.1 2000/10/11 14:45:39 bernhold Exp $ */

/*
 *                      CUMULVS version 1.1:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl, Philip M. Papadopoulos
 *                      and David E. Bernholdt
 *                   (C) 2000 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */

/* stvfga.m4 - macros to build FORTRAN interface for stvga  */

#include <stdio.h>
#include "stv.h"
#include "stvmac.h"
#include "stv_glob.h"


void
FUNCTION(stvfgadefine) ARGS(`ga, fieldId')
int *ga, *fieldId;
{
	*fieldId = stv_gaDefine( *ga );

	return;
}


